Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
path: root/livecd-iso-to-xo.sh
diff options
context:
space:
mode:
Diffstat (limited to 'livecd-iso-to-xo.sh')
-rwxr-xr-xlivecd-iso-to-xo.sh4
1 files changed, 2 insertions, 2 deletions
diff --git a/livecd-iso-to-xo.sh b/livecd-iso-to-xo.sh
index 23e35de..5c8cd23 100755
--- a/livecd-iso-to-xo.sh
+++ b/livecd-iso-to-xo.sh
@@ -14,6 +14,8 @@ exitclean() {
exit 1
}
+trap exitclean SIGINT SIGTERM
+
ISO=$(readlink -f "$1")
IMG=$(readlink -f "$2")
@@ -50,7 +52,5 @@ sumtool -n -p -e 128KiB -i $IMG.tmp -o $IMG
rm $IMG.tmp
crcimg $IMG
-trap exitclean SIGINT SIGTERM
-
echo "Done."
cleanup